tt_message_reject(library call)

NAME
tt_message_reject — reject a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_reject(
Tt_message m);

DESCRIPTION

The tt_message_reject function informs the ToolTalk service that the process cannot handle this message. The ToolTalk service will attempt to deliver the message to other handlers.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_reject function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NOTHANDLER
    This application is not the handler for this message.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).